Package: grails.web.servlet.context.support

## [Java] Class GrailsEnvironment.GrailsConfigPropertySource

- grails.web.servlet.context.support.GrailsEnvironment.GrailsConfigPropertySource

-     private class GrailsEnvironment.GrailsConfigPropertySource
      extends org.springframework.core.env.PropertySource

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConfigPropertySource ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `getProperty(java.lang.String key)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.env.PropertySource` | `org.springframework.core.env.PropertySource#named(java.lang.String), org.springframework.core.env.PropertySource#containsProperty(java.lang.String), org.springframework.core.env.PropertySource#getSource(), org.springframework.core.env.PropertySource#getProperty(java.lang.String), org.springframework.core.env.PropertySource#equals(java.lang.Object), org.springframework.core.env.PropertySource#toString(), org.springframework.core.env.PropertySource#hashCode(), org.springframework.core.env.PropertySource#getName(), org.springframework.core.env.PropertySource#wait(long), org.springframework.core.env.PropertySource#wait(long, int), org.springframework.core.env.PropertySource#wait(), org.springframework.core.env.PropertySource#getClass(), org.springframework.core.env.PropertySource#notify(), org.springframework.core.env.PropertySource#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsConfigPropertySource()

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String key)